Package: org.codehaus.groovy.reflection

## [Java] Class CachedField

- org.codehaus.groovy.reflection.CachedField

-     public class CachedField
      extends MetaProperty

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedField(Field field)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MethodHandle` | `asAccessMethod(MethodHandles.Lookup lookup)`
    `` | `public Field` | `getCachedField()`
    `` | `public Class` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()` {@inheritDoc}
    `` | `public Object` | `getProperty(Object object)` {@inheritDoc}
    `` | `public void` | `setProperty(Object object, Object newValue)` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public CachedField(Field field)

  - ### Method Detail

    - #### public MethodHandle asAccessMethod(MethodHandles.Lookup lookup)

    - #### public Field getCachedField()

    - #### public Class getDeclaringClass()

    - #### @Override
      public int getModifiers()

      {@inheritDoc}

    - #### @Override
      public Object getProperty(Object object)

      {@inheritDoc}

    - #### @Override
      public void setProperty(Object object, Object newValue)

      {@inheritDoc}